<template>
  <div
    class="navbar-menu-wrapper fixed inset-0 h-screen flex flex-col items-center px-8 bg-gray-100 z-40"
  >
    <div id="navbar-menu" class="navbar-menu flex flex-col w-full mt-16">
      <template v-for="item in items">
        <navbar-dropdown-item v-if="item.children.length" class="my-4 text-xl">
          {{ item.label }}
          <template #items>
            <navbar-menu-item
              class="ml-6 mt-3 text-base"
              v-for="childItem in item.children"
              :key="childItem.id"
              v-bind="childItem"
              @click="$emit('item-tapped')"
            />
          </template>
        </navbar-dropdown-item>

        <navbar-menu-item v-else class="my-4 text-xl" v-bind="item" @click="$emit('item-tapped')" />
      </template>
    </div>
  </div>
</template>

<script>
import NavbarDropdownItem from './NavbarDropdownItem';
import NavbarMenuItem from './NavbarMenuItem';

export default {
  name: 'NavbarMenuMobile',
  components: {
    NavbarDropdownItem,
    NavbarMenuItem,
  },
  props: {
    items: Array,
  },
};
</script>
